Loading...
Searching...
No Matches
BALL::ClaverieParameter Class Reference
Molecular Modeling » Solvation methods

`#include <BALL/SOLVATION/claverieParameter.h>`

Inheritance diagram for BALL::ClaverieParameter:

## Public Member Functions

Constructors and destructors.
| ClaverieParameter ()
| ClaverieParameter (const Parameters &parameters)
| ClaverieParameter (const ClaverieParameter &param)
virtual | ~ClaverieParameter ()
Assignment
const ClaverieParameter & | operator= (const ClaverieParameter &param)
virtual void | clear ()
Accessors
bool | hasParameters (Atom::Type solvent_type, Atom::Type solute_type) const
std::pair< float, float > | getParameters (Atom::Type solvent_type, Atom::Type solute_type) const
std::pair< float, float > | getParameters (Atom::Type type) const
const ::std::vector< ::std::pair< float, float > > & | getParameters () const
const HashMap< Atom::Type, Index > & | getIndices () const
Public Member Functions inherited from BALL::ParameterSection
| ParameterSection ()
| ParameterSection (const ParameterSection &parameter_section)
virtual | ~ParameterSection ()
bool | extractSection (Parameters &parameters, const String &section_name)
const String & | getSectionName () const
const String & | getValue (const String &key, const String &variable) const
bool | has (const String &key, const String &variable) const
bool | has (const String &key) const
bool | hasVariable (const String &variable) const
Position | getColumnIndex (const String &variable) const
Size | getNumberOfVariables () const
Size | getNumberOfKeys () const
const String & | getValue (Position key_index, Position variable_index) const
const String & | getKey (Position key_index) const
const ParameterSection & | operator= (const ParameterSection &section)
virtual bool | isValid () const
bool | operator== (const ParameterSection &parameter_section) const

## Predicates

std::vector< std::pair< float, float > > | parameters_
HashMap< Atom::Type, Index > | indices_
bool | operator== (const ClaverieParameter &param) const
virtual bool | extractSection (ForceFieldParameters &parameters, const String &section_name)

## Additional Inherited Members

Public Types inherited from BALL::ParameterSection
enum | { MAX_FIELDS = 20 }
Options | options
Static Public Attributes inherited from BALL::ParameterSection
static const String | UNDEFINED
String | section_name_
String | format_line_
StringHashMap< Index > | section_entries_
StringHashMap< Index > | variable_names_
std::vector< String > | entries_
std::vector< String > | keys_
Size | number_of_variables_
std::vector< float > | version_
bool | valid_

## Detailed Description

ClaverieParameter class. This class provides the parameters needed for the computation of van-der-Waals interaction energies according to the scheme by Huron and Claverie. [missing: units, reference]. Note: Dispersion and repulsion terms are not distinguished.

Definition at line 31 of file claverieParameter.h.

## Constructor & Destructor Documentation

## ClaverieParameter() [1/3]

BALL::ClaverieParameter::ClaverieParameter | ( |  | ) |

Default constructor

## ClaverieParameter() [2/3]

BALL::ClaverieParameter::ClaverieParameter | ( | const Parameters & | parameters | ) |

Detailed constructor

## ClaverieParameter() [3/3]

BALL::ClaverieParameter::ClaverieParameter | ( | const ClaverieParameter & | param | ) |

Copy constructor

## ~ClaverieParameter()

virtual BALL::ClaverieParameter::~ClaverieParameter | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::ClaverieParameter::clear | ( |  | ) |

virtual

Clear method

Reimplemented from BALL::ParameterSection.

## extractSection()

virtual bool BALL::ClaverieParameter::extractSection | ( | ForceFieldParameters & | parameters,
|  | const String & | section_name )

virtual

Extract the parameter file section (

See also
  ParameterSection).

## getIndices()

const HashMap< Atom::Type, Index > & BALL::ClaverieParameter::getIndices | ( |  | ) | const

Return the indices used for mapping types to numbers

## getParameters() [1/3]

const ::std::vector< ::std::pair< float, float > > & BALL::ClaverieParameter::getParameters | ( |  | ) | const

Return the whole parameter set.

## getParameters() [2/3]

std::pair< float, float > BALL::ClaverieParameter::getParameters | ( | Atom::Type | solvent_type,
|  | Atom::Type | solute_type ) const

Get the parameters for the specified atom types.

## getParameters() [3/3]

std::pair< float, float > BALL::ClaverieParameter::getParameters | ( | Atom::Type | type | ) | const

?????

## hasParameters()

bool BALL::ClaverieParameter::hasParameters | ( | Atom::Type | solvent_type,
|  | Atom::Type | solute_type ) const

Indicate, whether this parameter set has parameters for the specified atom types.

## operator=()

const ClaverieParameter & BALL::ClaverieParameter::operator= | ( | const ClaverieParameter & | param | ) |

Assignment operator

## operator==()

bool BALL::ClaverieParameter::operator== | ( | const ClaverieParameter & | param | ) | const

Equality operator.

## Member Data Documentation

## indices_

HashMap<Atom::Type, Index> BALL::ClaverieParameter::indices_

protected

Definition at line 125 of file claverieParameter.h.

## parameters_

std::vector< std::pair<float, float> > BALL::ClaverieParameter::parameters_

protected

Definition at line 121 of file claverieParameter.h.